﻿using System.Collections.Generic;
using System.ServiceModel.DomainServices.Hosting;
using System.ServiceModel.DomainServices.Server;
using ERPConnect;

namespace SAP2Silverlight.Web
{
	[EnableClientAccess]
	[RequiresAuthentication]
	public class SAPService : DomainService
	{
		public SAPService()
		{
			// NOTE: Contact the Theobald Software support team at http://www.theobald-software.com to get a 
			// evaluation license key.
			LIC.SetLic("...");
		}

		[Query(ResultLimit = 200)]
		public IEnumerable<Customer> GetCustomers(string namePattern)
		{
			// NOTE: Change the connection string for your SAP system.
			SAPContext sap = new SAPContext("ASHOST=SAPHOST1 SYSNR=03 USER=USERNAME PASSWD=PASSWORD LANG=EN CLIENT=001");

			foreach(CustomerRow c in sap.GetCustomers(namePattern))
				yield return new Customer { ID = c.KUNNR, Name = c.NAME1 };
		}
	}
}


