﻿using System.ServiceModel.DomainServices.Client;
using System.Windows;
using System.Windows.Controls;
using SAP2Silverlight.Web;

namespace SAP2Silverlight
{
	public partial class Home : Page
	{
		public Home()
		{
			InitializeComponent();
		}

		void OnLoadButtonClick(object sender, RoutedEventArgs e)
		{
			LoadButton.IsEnabled = false;

			string namePattern = string.IsNullOrWhiteSpace(NamePatternTextBox.Text) ? "*" : NamePatternTextBox.Text;

			SAPContext context = new SAPContext();

			context.Load(context.GetCustomersQuery(namePattern), delegate(LoadOperation<Customer> operation) {

				if(operation.HasError)
				{
					operation.MarkErrorAsHandled();
					MessageBox.Show(operation.Error.Message);
				}
				else
					CustomerList.ItemsSource = operation.Entities;

				LoadButton.IsEnabled = true;

			}, null);

		}
	}
}